/* You can add global styles to this file, and also import other style files */
@import url("https://fonts.googleapis.com/css?family=Roboto");


:root {
    --primary-color: #dc3545;
    --dark-color: #333333;
    --light-color: #f4f4f4;
    --danger-color: #dc3545;
    --success-color: #28a745;
 }
 * {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
 }
  
.container{
    margin : 0 auto;
    max-width: 100%;
}
body{
    padding-left: 15px;
    padding-right: 15px;
    padding-top: 10px;
    margin: 0;
    box-sizing: border-box;
    font-family: "Roboto", sans-serif;
    font-size: 1rem;
    line-height: 1.6;
   //  background-color:#2a2a2a;
    color: #333;
 
}
a {
    color: var(--primary-color);
    cursor: pointer;
    text-decoration: none;
 
    &:hover {
       color: #666;
    }
 }
 .form-control {
    display: block;
    color: #888;
    margin-bottom: 0.8rem;
 
    &.invalid {
       color: var(--primary-color);
       input {
          border-color: var(--primary-color);
       }
    }
 
    .validation {
       color: var(--primary-color);
    }
 }
 
 table {
    width: 100%;
    border-collapse: collapse;
 }
 
 table th,
 table td {
    padding: 1rem;
    text-align: left;
 }

 .btn {
    display: inline-block;
    background: var(--light-color);
    color: #333;
    padding: 0.4rem 1.3rem;
    font-size: 1rem;
    border: none;
    cursor: pointer;
    margin-right: 0.5rem;
    transition: opacity 0.2s ease-in;
    outline: none;
 
    &:disabled {
       cursor: not-allowed;
       background: var(--light-color);
       color: #111;
    }
 }
 
html, body { height: 100%; }
body { margin: 0; font-family: Roboto, "Helvetica Neue", sans-serif; }
